Skip to main content
GET

Authorizations

api_key
string
query
required

Coin Metrics API key can be specified as ?api_key= query parameter.

Query Parameters

exchanges
string[]
required

Comma separated list of exchange names or asterisk (*) for all supported exchanges.

metrics
string[]
required

Comma separated metrics to request time series data for.
Information on all available metrics can be found on page https://coverage.coinmetrics.io/exchange-metrics-v2.
Use the /catalog-all-v2/exchange-metrics endpoint for the full list of supported metrics per exchange.

Example:
frequency
string
default:1d

Frequency of the exchange metrics. Supported values are 1h, 1d.

start_time
string

Start of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If start_time is omitted, response will include time series from the earliest time available.

end_time
string

End of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If end_time is omitted, response will include time series up to the latest time available.

start_inclusive
boolean
default:true

Inclusive or exclusive corresponding start_* parameters.

end_inclusive
boolean
default:true

Inclusive or exclusive corresponding end_* parameters.

timezone
string
default:UTC

Timezone name for start_time and end_time timestamps.
This parameter does not modify the output times, which are always UTC.
Format is defined by TZ database.

Example:

"America/New_York"

page_size
integer<int32>
default:100

Number of items per single page of results.
The value of this parameter is ignored if the endpoint supports the format parameter and its value is set to json_stream.

Required range: 1 <= x <= 10000
paging_from
enum<string>
default:end

Where does the first page start, at the start of the interval or at the end.
The value of this parameter is ignored if the endpoint supports the format parameter and its value is set to json_stream.

Available options:
start,
end
sort
enum<string>
default:exchange

How results will be sorted. Metrics are sorted by (exchange, time) by default. If you want to sort 1d metrics by (time, exchange) you should choose time as value for the sort parameter.
Sorting by time is useful if you request metrics for a set of exchanges.

Available options:
exchange,
time
limit_per_exchange
integer<int32>

How many entries per institution result should contain. For example, this combination of parameters exchanges=binance,coinbase&metrics=volume_trusted_spot_usd_1h&limit_per_exchange=1 returns the latest volume_trusted_spot_usd_1h values for binance and coinbase.

pretty
boolean
default:false

Human-readable formatting of JSON responses.

format
enum<string>
default:json

Format of the response.

Available options:
json,
csv
next_page_token
string

Token for receiving the results from the next page of a query.
Should not be used directly. To iterate through pages just use next_page_url response field.

Response

Time series of exchange metrics.

Time series of Exchange metrics.

data
object[]
required
next_page_token
string

Token of the next page results for a given request.

next_page_url
string

URL of the next page results for a given request.